Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.geoloc.importer
Enum AdmExtracterStrategyOptions

    java.lang.Object
      java.lang.Enum<AdmExtracterStrategyOptions>
          com.gisgraphy.domain.geoloc.importer.AdmExtracterStrategyOptions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdmExtracterStrategyOptions>

    public enum AdmExtracterStrategyOptions

extends java.lang.Enum<AdmExtracterStrategyOptions>

Enumeration of option that determine what should we do when Adm have already been extracted from country files,

Author:
  David Masclet

Enum Constant Summary
`backup` Do a back-up of the files That have already been extracted and do a new extract
`reprocess` Override the last extracted files
`skip` Does not re extract the Adm files if they've already been extracted

Method Summary
`static AdmExtracterStrategyOptions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdmExtracterStrategyOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### skip

    public static final AdmExtracterStrategyOptions skip

  Does not re extract the Adm files if they've already been extracted

### backup

    public static final AdmExtracterStrategyOptions backup

  Do a back-up of the files That have already been extracted and do a new extract

### reprocess

    public static final AdmExtracterStrategyOptions reprocess

  Override the last extracted files

Method Detail

### values

    public static final AdmExtracterStrategyOptions[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AdmExtracterStrategyOptions c : AdmExtracterStrategyOptions.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AdmExtracterStrategyOptions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.